SignSecureSignSecure Docs
Templates

Create Document from Template

Create a new document using a template. Map template recipients to actual recipients.

POST
/templates/{templateId}/documents

Create a new document using a template. Map template recipients to actual recipients.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

templateId*string

The template ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.signsecure.com/api/v1/templates/string/documents" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "recipientMapping": [      {        "templateRecipientId": "string",        "name": "string",        "email": "user@example.com"      }    ]  }'
{
  "documentId": "string",
  "message": "string",
  "status": "draft"
}
{
  "code": "VALIDATION_ERROR",
  "message": "title: Required",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z",
  "details": {
    "validation": {
      "fieldErrors": {
        "title": [
          "Required"
        ]
      },
      "formErrors": [],
      "issues": [
        {
          "path": "title",
          "message": "Required",
          "code": "invalid_type"
        }
      ]
    }
  }
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Template not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}